# $Revision: 1.17 $, $Date: 2010/12/28 12:01:25 $
Summary:	Address format change and calculation utility
Summary(pl.UTF-8):	Narzędzie do zmiany formatu i przeliczania adresów
Name:		whatmask
Version:	1.2
Release:	1
License:	GPL v2+
Group:		Networking/Utilities
Source0:	http://downloads.laffeycomputer.com/current_builds/whatmask/%{name}-%{version}.tar.gz
# Source0-md5:	26aeff74dbba70262ccd426e681dcf4a
URL:		http://www.laffeycomputer.com/whatmask.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Whatmask is a small C program that helps with network settings.
Notations supported are CIDR (e.g. /24), Netmask (e.g. 255.255.255.0),
and Wilcard Bits (e.g. 0.0.0.255). These notations are all identical.
CIDR notation commonly has a "/" in front of the number (representing
the number of bits). Whatmask can accept these notations with or
without a slash. It can take any IP in the subnet along with the
netmask in any format, and it will echo back the netmask in three
formats, the network address, the broadcast address, the number of
useable IPs, and the range of IPs in the subnet.

%description -l pl.UTF-8
Whatmask to niewielki program napisany w C pomagający przy
konfiguracji sieci. Obsługiwane notacje to CIDR (np. /24), maska sieci
(np. 255.255.255.0) i maska Wildcard (np. 0.0.0.255). Wszytkie notacje
są zamienne. Notacja CIDR zazwyczaj posiada "/" przed liczbą
(oznaczającą liczbę bitów). whatmask akceptuje te notacje z lub bez
"/". Może przyjąć dowolny adres IP w podsieci wraz z maską w dowolnym
formacie, a wypisze maskę w trzech formatach, adres sieci, adres
broadcastu, liczbę używalnych IP oraz zakres IP w podsieci.

%prep
%setup -q

%build
%{__rm} -r missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README AUTHORS NEWS ChangeLog
%attr(755,root,root) %{_bindir}/whatmask
%{_mandir}/man1/whatmask.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: whatmask.spec,v $
Revision 1.17  2010/12/28 12:01:25  lisu
- pl fixes
- adapter
- more verbose files

Revision 1.16  2007/02/12 22:09:20  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.14  2005/11/09 23:28:12  czucz
- updated to 1.2
- new Source0 URL, added man page

Revision 1.13  2005/10/02 11:59:41  darekr
- cosmetics

Revision 1.12  2004/03/16 00:24:05  adamg
- release 2 for Ac

Revision 1.11  2003/05/28 13:02:50  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:27:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/11/29 22:47:05  ankry
- massive attack: new %%doc

Revision 1.8  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.7  2002/05/21 23:14:57  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.5  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:15:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/13 12:40:46  qboosh
- pl description, cosmetics

Revision 1.1  2001/12/13 12:12:24  blues
- initial
Whatmask is a small C program that helps with network settings. Notations
supported are CIDR (e.g. /24), Netmask (e.g. 255.255.255.0), and Wilcard
Bits (e.g. 0.0.0.255). These notations are all identical. CIDR notation
commonly has a "/" in front of the number (representing the number of bits).
